hyper-touchbar

0.1.1 • Public • Published

hyper-touchbar 🚧👷 (WIP)

NOTE: This is unstable and work in progress, and will not work in the latest version of Hyper!

A Mac Touch Bar plugin that equips your touch bar with useful commands.

Why is this unstable?

Because Hyper currently has Electron at version 1.6.2 as a dependency. Electron has Touch Bar support in versions >= 1.6.3.

How do I get it to work then?

  1. Install the dependencies
  • If you are running Linux, install icnsutils, graphicsmagick, xz-utils and rpm
  • If you are running Windows, install windows-build-tools with yarn global add windows-build-tools.
  1. Fork the Hyper repository to your own GitHub account and then clone it to your local device
  2. Install the dependencies: yarn
  3. Install the latest Electron: yarn add electron@beta --dev
  4. Build the code and watch for changes: yarn run dev
  5. In another terminal tab/window/pane, run the app: yarn run app
  6. Add hyper-touchbar to plugins in ~/.hyper.js

Readme

Keywords

none

Package Sidebar

Install

npm i hyper-touchbar

Weekly Downloads

2

Version

0.1.1

License

MIT

Last publish

Collaborators

  • jmoxey